
import java.awt.*;

class NewDialog extends Dialog {

    static int H_SIZE = 200;
    static int V_SIZE = 200;

    public NewDialog(Frame parent) {
        // Calls the parent telling it this
        // dialog is modal(i.e true)
        super(parent, true);
        setBackground(Color.gray);
        setLayout(new BorderLayout());

        // Two buttons "Close" and "Help"
        Panel p = new Panel();
        p.add(new Button("Close"));
        p.add(new Button("Help"));
        add("South", p);
        setSize(H_SIZE, V_SIZE);
    }

    public boolean action(Event evt, Object arg) {
        // If action label(i.e arg) equals
        // "Close" then dispose this dialog
        if (arg.equals("Close")) {
            dispose();
            return true;
        }
        return super.handleEvent(evt);
    }

    public void paint(Graphics g) {
        g.setColor(Color.white);
        g.drawString("My Application", H_SIZE / 4, V_SIZE / 3);
        g.drawString("Version 1.0", H_SIZE / 3, V_SIZE / 3 + 20);
    }
    
}
