import java.awt.*;

public class NewFrameExit extends Frame
{
	// "final" variables are constants
	static final int H_SIZE = 300;
	static final int V_SIZE = 200;

	public NewFrameExit()
	{
		setTitle("A simple Frame");
        initComponents();
		pack();
        setSize(H_SIZE, V_SIZE);
		setVisible(true);
	}

    private void initComponents() {

        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        pack();
    }// </editor-fold>

    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }

	public static void main(String args[])
	{
		java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new NewFrameExit().setVisible(true);
            }
        });
	}

}
