import java.awt.*;

public class NewComponents extends Frame
{
	// "final" variables are constants
	static final int H_SIZE = 400;
	static final int V_SIZE = 300;

    private TextField textField1;
    private Button button1;
    private Label label1;

	public NewComponents()
	{
		setTitle("Creating Components");
        initComponents();
		
        pack();

        setSize(H_SIZE, V_SIZE);
        //setLayout(new GridLayout()); // change the Frame layout

        // create a simple OK Button
        Panel p = new Panel();
        Panel bg = new Panel();

        label1 = new java.awt.Label();
        label1.setText("Example d'utilisation de AWT");

        textField1 = new java.awt.TextField();
        textField1.setColumns(15);
        textField1.setText("textField1");

        button1 = new java.awt.Button();
        button1.setLabel("Effacer");
        button1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                button1ActionPerformed(evt);
            }
        });

        p.add("North",label1);
        p.add("Center",bg);
        
        bg.add(textField1);
        bg.add(button1);

        bg.setVisible(true);
        p.setVisible(true);

        add("Center",p);
        
		
	}

    private void button1ActionPerformed(java.awt.event.ActionEvent evt) {
        textField1.setText("");
        textField1.requestFocus();
    }

    private void initComponents() {

        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        pack();
    }


    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }

	public static void main(String args[])
	{
		java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                NewComponents example = new NewComponents();
                example.setVisible(true);
                //new NewDialog(panel).show(true);
            }
        });
	}

}
