import java.awt.*;

public class NewPanel extends Frame
{
	// "final" variables are constants
	static final int H_SIZE = 300;
	static final int V_SIZE = 200;

	public NewPanel()
	{
		setTitle("Creating Panels");
        initComponents();
		pack();
		setVisible(true);
        
        
        setSize(H_SIZE, V_SIZE);
        setLayout(new GridLayout()); // change the Frame layout

        // create a simple Panel (container) blue colored
        Panel p = new Panel();
        p.setSize(100, 110);
        p.setBackground(Color.BLUE);

        // create a simple Panel (container) green colored
        Panel q = new Panel();
        q.setSize(100, 110);
        q.setBackground(Color.GREEN);

        // add both panels to the Frame
        add(p);
        add(q);
	}

    private void initComponents() {

        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        pack();
    }


    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }

	public static void main(String args[])
	{
		java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                NewPanel panel = new NewPanel();
                panel.setVisible(true);
                new NewDialog(panel).setVisible(true);
            }
        });
	}

}
