import java.awt.*;

public class NewWindow extends Frame
{
	// "final" variables are constants
	static final int H_SIZE = 300;
	static final int V_SIZE = 200;

	public NewWindow()
	{
		setTitle("Creating a Window");
        initComponents();
		pack();
		setVisible(true);


        setSize(H_SIZE, V_SIZE);
        setLayout(new GridLayout()); // change the Frame layout

        // create a simple Panel (container) blue colored
        Window p = new Window(this);
        p.setSize(100, 110);
        p.setBackground(Color.BLUE);
        p.setVisible(true);
        // add both panels to the Frame
        //add(p);
        
	}

    private void initComponents() {

        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        pack();
    }


    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }

	public static void main(String args[])
	{
		java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new NewWindow().setVisible(true);
            }
        });
	}

}
